---

#! /db/releases/20250305174502/lkp-src/jobs/nvml-dax.yaml
suite: nvml
testcase: nvml
category: functional
nvml:
  test: pmem
  group: ctl
disk:
  nr_pmem: 1
fs: ext4
mount_option: dax
boot_params:
  bp_memmap: 32G!4G
job_origin: nvml-dax.yaml

#! queue options
queue_cmdline_keys:
- branch
- commit
- kbuild_queue_analysis
queue: validate
testbox: lkp-csl-d02
tbox_group: lkp-csl-d02
job_file: "/lkp/jobs/scheduled/lkp-csl-d02/nvml-32G_4G-ext4-ctl-dax-1-pmem-debian-12-x86_64-20240206.cgz-9e9148ba9075-20250309-34683-11thuk3-0.yaml"
id: d29f150283afef97edb10cd21b0cb7289df97305
queuer_version: "/zday/lkp"

#! /db/releases/20250305174502/lkp-src/hosts/lkp-csl-d02
model: Cascade Lake
nr_node: 1
nr_cpu: 36
memory: 128G
nr_hdd_partitions: 6
hdd_partitions: "/dev/disk/by-id/ata-ST4000DM004-2U9104_WFN65D7R-part*"
rootfs_partition: "/dev/disk/by-id/nvme-INTEL_SSDPEKNW512G8_BTNH124202ZP512A-part4"
kernel_cmdline_hw: acpi_rsdp=0x36983000
result_service: tmpfs
LKP_SERVER: 10.239.97.5
avoid_nfs: 1
brand: Intel(R) Core(TM) i9-10980XE CPU @ 3.00GHz
ucode: '0x5003604'

#! /db/releases/20250305174502/lkp-src/include/category/functional
kmsg:
heartbeat:
meminfo:

#! /db/releases/20250305174502/lkp-src/include/category/ALL
sanity-check:

#! /db/releases/20250305174502/lkp-src/programs/nvml/include
need_kconfig:
- NVDIMM_PFN: "y"
- MMU: "y"
- FS_DAX: "y"
- ZONE_DEVICE: "y"
- LIBNVDIMM
- BTT: "y"
- BLK_DEV_PMEM
- X86_PMEM_LEGACY
- FS_DAX: "y"
- EXT4_FS

#! /db/releases/20250305174502/lkp-src/include/disk/nr_pmem

#! /db/releases/20250305174502/lkp-src/include/fs/OTHERS

#! /db/releases/20250305174502/lkp-src/include/queue/cyclic
commit: 9e9148ba90757a1db81472371f582de2b936b0d6
kconfig: x86_64-rhel-9.4-func
enqueue_time: 2025-03-09 10:42:29.307092958 +08:00
_rt: "/result/nvml/32G_4G-ext4-ctl-dax-1-pmem/lkp-csl-d02/debian-12-x86_64-20240206.cgz/x86_64-rhel-9.4-func/gcc-12/9e9148ba90757a1db81472371f582de2b936b0d6"
compiler: gcc-12
head_commit: 9b074abed7c5b474bb45ec78e840ad9a89062a0f
base_commit: 7eb172143d5508b4da468ed59ee857c6e5e01da6
branch: linux-next/master
rootfs: debian-12-x86_64-20240206.cgz

#! schedule options
user: lkp
scheduler_version: "/lkp/lkp/.src-20250307-114413"
arch: x86_64
max_uptime: 6000
initrd: "/osimage/debian/debian-12-x86_64-20240206.cgz"
bootloader_append:
- root=/dev/ram0
- RESULT_ROOT=/result/nvml/32G_4G-ext4-ctl-dax-1-pmem/lkp-csl-d02/debian-12-x86_64-20240206.cgz/x86_64-rhel-9.4-func/gcc-12/9e9148ba90757a1db81472371f582de2b936b0d6/0
- BOOT_IMAGE=/pkg/linux/x86_64-rhel-9.4-func/gcc-12/9e9148ba90757a1db81472371f582de2b936b0d6/vmlinuz-6.14.0-rc3-00230-g9e9148ba9075
- branch=linux-next/master
- job=/lkp/jobs/scheduled/lkp-csl-d02/nvml-32G_4G-ext4-ctl-dax-1-pmem-debian-12-x86_64-20240206.cgz-9e9148ba9075-20250309-34683-11thuk3-0.yaml
- user=lkp
- ARCH=x86_64
- kconfig=x86_64-rhel-9.4-func
- commit=9e9148ba90757a1db81472371f582de2b936b0d6
- intremap=posted_msi
- acpi_rsdp=0x36983000
- memmap=32G!4G
- max_uptime=6000
- LKP_SERVER=10.239.97.5
- nokaslr
- selinux=0
- debug
- apic=debug
- sysrq_always_enabled
- rcupdate.rcu_cpu_stall_timeout=100
- net.ifnames=0
- printk.devkmsg=on
- panic=-1
- softlockup_panic=1
- nmi_watchdog=panic
- oops=panic
- load_ramdisk=2
- prompt_ramdisk=0
- drbd.minor_count=8
- systemd.log_level=err
- ignore_loglevel
- console=tty0
- earlyprintk=ttyS0,115200
- console=ttyS0,115200
- vga=normal
- rw
modules_initrd: "/pkg/linux/x86_64-rhel-9.4-func/gcc-12/9e9148ba90757a1db81472371f582de2b936b0d6/modules.cgz"
bm_initrd: "/osimage/deps/debian-12-x86_64-20240206.cgz/lkp_20241102.cgz,/osimage/deps/debian-12-x86_64-20240206.cgz/rsync-rootfs_20241102.cgz,/osimage/deps/debian-12-x86_64-20240206.cgz/run-ipconfig_20241102.cgz,/osimage/deps/debian-12-x86_64-20240206.cgz/nvml_20240621.cgz,/osimage/pkg/debian-12-x86_64-20240206.cgz/nvml-x86_64-c0abd814f-1_20240621.cgz,/osimage/deps/debian-12-x86_64-20240206.cgz/fs_20241102.cgz,/osimage/deps/debian-12-x86_64-20240206.cgz/hw_20241102.cgz"
ucode_initrd: "/osimage/ucode/intel-ucode-20230906.cgz"
lkp_initrd: "/osimage/user/lkp/lkp-x86_64.cgz"
site: inn

#! /db/releases/20250305174502/lkp-src/include/site/inn
LKP_CGI_PORT: 80
LKP_CIFS_PORT: 139
oom-killer:
watchdog:
job_initrd: "/lkp/jobs/scheduled/lkp-csl-d02/nvml-32G_4G-ext4-ctl-dax-1-pmem-debian-12-x86_64-20240206.cgz-9e9148ba9075-20250309-34683-11thuk3-0.cgz"
last_kernel: 6.14.0-rc1-00125-g0da99166439d
acpi_rsdp: '0x36983000'
repeat_to: 1

#! user overrides
kbuild_queue_analysis: 1
kernel: "/pkg/linux/x86_64-rhel-9.4-func/gcc-12/9e9148ba90757a1db81472371f582de2b936b0d6/vmlinuz-6.14.0-rc3-00230-g9e9148ba9075"
result_root: "/result/nvml/32G_4G-ext4-ctl-dax-1-pmem/lkp-csl-d02/debian-12-x86_64-20240206.cgz/x86_64-rhel-9.4-func/gcc-12/9e9148ba90757a1db81472371f582de2b936b0d6/0"

#! /db/releases/20250307121954/lkp-src/include/site/inn
dequeue_time: 2025-03-09 11:52:13.435517418 +08:00
job_state: finished
loadavg: 16.51 6.54 2.41 2/444 42696
start_time: '1741780510'
end_time: '1741780595'
version: "/lkp/lkp/.src-20250307-114413:4bd39528106e:6138ddf7a623"
